#include <stdio.h>

int main()
{
  long long n, k;
  scanf("%lld %lld", &n, &k);
  long long karte[n+5];
  for(int i=0;i<n;i++)
    scanf("%lld", &karte[i]);
  if(k==karte[n-1])
    printf("%lld", karte[0]);
  else
  {
    long long br=0;
    while(k!=karte[br])
      br++;
    printf("%lld", karte[br+1]);
  }
  return 0;
}